What you can do with the i.LINK setting

Introducing i.LINK

When you connect an i.LINK device to your computer, you can start a specific application or document. You can specify the application or document based on the device ID or the category ID.

Device ID examples

  • When you connect a digital video camera recorder DCR-XX: Start the Smart Capture application.
  • When you connect a Sony computer PCG-XX: Start the Smart Connect Monitor application.

Category ID examples

  • DV Camera: Starts the DVgate application
  • Sony computer (connected via Smart Connect): Starts the Smart Connect Monitor application

Notes

  • When you use the Windows Me, you can control "camera" category devices only with the VAIO Action Setup. In addition, you cannot use only one i.LINK category ID with the Windows Me.
  • The i.LINK launcher function detects when you connect an i.LINK device and starts the corresponding application. However, in some cases it interprets mode switching as connecting the i.LINK device. For example, when switching from "Camera" mode to "VTR" mode on a video camera recorder, it interprets mode switching as connecting the i.LINK device, and starts the specified application. Therefore, you should disable the i.LINK launcher function in the Advanced Setting tab when you use the DVgate application to edit DV video, or when you perform other tasks that require switching modes.
  • When you use the i.LINK launcher function, you have to check Enable i.LINK launcher function in the Advanced Setting tab to activate the i.LINK launcher function.


Device Setup

Assigning applications to an i.LINK device ID

Since each i.LINK device has a unique ID, you can assign a different application to each device.

To assign an application or document to a device ID:

  1. Click the i.LINK button in the VAIO Action Setup window.
  2. Click the Device Setting tab.
  3. Select the device to which you want to assign the application or document.
  4. Click Modify.
  5. Follow the Select Application wizard instructions.
  6. Click OK to accept your changes.

Notes

  • Since the device name is independent of the device ID, you can change the device name. Changing the name does not affect the application settings. To change the device name, click Modify Device Name, follow the instructions on the screen, and then click OK to apply the change.
  • After you assign an application to a device, you have to check Enable i.LINK launcher function in the Advanced Setting tab to activate the i.LINK launcher function.


Category Setup

Assigning applications to an i.LINK device category

You can assign a specific application or document to a group (category) of i.LINK devices. When you connect any device in this category, the specified application or document starts.

To assign an application or document to a device category:

  1. Click the i.LINK button in the VAIO Action Setup window.
  2. Click the Category Setting tab.
  3. Select the category to which you want to assign the application or document.
  4. Click Modify.
  5. Follow the Select Application wizard instructions.
  6. Click OK to accept your changes.

Notes

  • You can also change the category name. Click Modify Connection, follow the instructions on the screen, and then click OK to apply the change. Changing the name does not affect the application settings.
  • After you assign an application to a category, you have to check Enable i.LINK launcher function in the Advanced Setting tab to activate the i.LINK launcher function.


Advanced Setting

Changing advanced i.LINK settings

To change advanced i.LINK settings:

  1. Click the i.LINK button in the VAIO Action Setup window.
  2. Click the Advanced Setting tab.
  3. Modify any of the following settings:
    • To enable the i.LINK launcher, check Enable i.LINK launcher function.
    • To disable the i.LINK launcher, uncheck Enable i.LINK launcher function.
    • To assign an application or document to an i.LINK device the first time you use it, check Open registration screen when connecting to a device for the first time.
    • To search category settings when you connect an i.LINK device without a device ID setting, check Search the Category Setting when the application is not assigned in the Device Setting.
    • To define how long the startup message displays before i.LINK starts the specified application, enter the number of seconds you want the message displays in the Length of time to display a message before launching field.
  4. Click Apply to accept your changes.

Notes

  • Closing the VAIO Action Setup window before clicking Apply cancels your changes.
  • When enabled, the i.LINK launcher function detects when you connect an i.LINK device and starts the corresponding application. However, in some cases it interprets mode switching as connecting the i.LINK device. For example, when switching from "Camera" mode to "VTR" mode on a video camera recorder, it interprets mode switching as connecting the i.LINK device, and starts the specified application. Therefore, you should disable the i.LINK launcher function when you use the DVgate application to edit DV video, or when you perform other tasks that require switching modes.
  • After you assign an application to a device ID or category, you have to check Enable i.LINK launcher function to activate the i.LINK launcher function.


Specifying the desired software

Using the Select Application wizard

You can use the Select Application wizard to specify which application or document your computer starts automatically. This process is also referred to as "registering" the application or document.

To use the Select Application wizard:

  1. Click a task (such as Recommended Setting or E-Mail) on the left side of the screen, or click Drag & Drop to drag and drop a document from the Windows desktop.
  2. Click the desired application or document in the tree display on the right side of the screen, or if you selected Drag & Drop in step 1, drag the desired document and release the button.
  3. Click Next.

    4. Notes
    If you selected E-Mail in step 1, select the Preset Script settings and click Next.

    • To specify a dialup network, check Dial-up connection and then select a connection from the list.
    • If you want your computer to go into an energy-saving mode after the preset script runs, check Set status after processing, and then select the energy mode.
    • If your computer has an information indicator, select a lamp status setting to indicate that a Preset Script has finished running, and then click Next.
  4. Select optional startup options, and then click Next.
    • To specify the working directory for the application, specify the desired folder.
    • To specify a command line option, enter it in the Command line option field.
  5. If you want your computer to go into an energy-saving mode after a Preset Script runs, check Set a power status for the computer to enter after Timer execution, select the mode, and then click Next.
  6. On the Application List tab, enter a name for your setup and any other relevant information.
  7. Click Finish to close the wizard close and register the application or document.

    8. Note
    You can confirm registration of the application or document on the Application List tab.